Table of Contents

Class: ExceptionsFilterDialog | eric3/Debugger/ExceptionsFilterDialog.py
--- | ---

Class implementing the exceptions filter dialog.

Base Classes |
--- | ---
ExceptionsFilterForm

Methods |
--- | ---
__init__ getExceptionsList handleAdd handleDelete handleTextChanged
| __init__

    __init__ (
            self,
            excList,
            parent=None,
            )

### Constructor

#### Arguments

excList
  list of exceptions to be edited (list of strings)
parent
  the parent widget (QWidget)

| getExceptionsList

    getExceptionsList ( self )

### Public method to retrieve the list of exception types.

#### Returns

list of exception types (list of strings)

| handleAdd

    handleAdd ( self )

Private slot to handle the Add button press.

| handleDelete

    handleDelete ( self )

Private slot to delete the currently selected exception of the listbox.

| handleTextChanged

    handleTextChanged ( self,  txt )

### Private slot to handle the textChanged signal of exceptionEdit.

This slot sets the enabled status of the add button and sets the forms default button.

#### Arguments

txt
  the text entered into exceptionEdit (QString)

Table of Contents

This document was automatically generated by HappyDoc version 2.1